Did I find the right examples for you? yes no      Crawl my project      Python Jobs

All Samples(5)  |  Call(5)  |  Derive(0)  |  Import(0)

src/r/h/rhinopython-HEAD/scripts/rhinoscript/curve.py   rhinopython(Download)
    """
    points = rhutil.coerce3dpointlist(points, True)
    curve = Rhino.Geometry.Curve.CreateControlPointCurve(points, degree)
    if not curve: raise Exception("unable to create control point curve from given points")
    rc = scriptcontext.doc.Objects.AddCurve(curve)

src/r/h/rhinopythonscripts-HEAD/Make2D.py   rhinopythonscripts(Download)
def viewportRectangle():
    m = doc.Views.ActiveView.ActiveViewport.GetNearRect()
    rect = Rhino.Geometry.Curve.CreateControlPointCurve(m, 1)
    att = layerAttributes("viewportRectangle", System.Drawing.Color.Cyan )
    att.Mode = Rhino.DocObjects.ObjectMode.Normal
    pairs = crossMatch(near, far)
    for pair in pairs:
        cv = Rhino.Geometry.Curve.CreateControlPointCurve(pair, 1)
        id = doc.Objects.AddCurve( cv, att )
        doc.Objects.Find(id).CommitChanges()

src/r/h/rhinopythonscripts-HEAD/TerrainTools.py   rhinopythonscripts(Download)
                    self.state = 'finished'
            self.nextStep()
        return Rhino.Geometry.Curve.CreateControlPointCurve(self.points, 1)
 
    def nextStep(self):

src/l/a/ladybug-HEAD/src/Ladybug_ShadingDesigner.py   ladybug(Download)
        planeOrigins = []
        planes = []
        pointCurve = rc.Geometry.Curve.CreateControlPointCurve([minXYPt, maxXYPt])
        divisionParams = pointCurve.DivideByLength(shadingHeight, True)
        divisionPoints = []